# OpenLayers.Handler.Feature

Handler to respond to mouse events related to a drawn feature. Callbacks with the following keys will be notified of the following events associated with features: click, clickout, over, out, and dblclick.

This handler stops event propagation for mousedown and mouseup if those browser events target features that can be selected.

#### Inherits from

- OpenLayers.Handler

Summary

OpenLayers.Handler.Feature | Handler to respond to mouse events related to a drawn feature.
Constructor |
OpenLayers.Handler.Feature |

### Constructor

### OpenLayers.Handler.Feature

#### Parameters

control | {OpenLayers.Control}
layer | {OpenLayers.Layer.Vector}
callbacks | {Object} An object with a ‘over’ property whos value is a function to be called when the mouse is over a feature. The callback should expect to recieve a single argument, the feature.
options | {Object}

Base class to construct a higher-level handler for event sequences.
Controls affect the display or behavior of the map.
Instances of OpenLayers.Layer.Vector are used to render vector data from a variety of sources.
Close